create_clock -period 10.000 -name clkin_src [get_ports clkin_src]
create_generated_clock -name clkout_src -source [get_pins ODDR_clk_inst/C] -divide_by 1 [get_ports clkout_src]

set_input_delay -clock [get_clocks clkin_src] -clock_fall -min -add_delay 4.400 [get_ports din_src_ddr]
set_input_delay -clock [get_clocks clkin_src] -clock_fall -max -add_delay 5.300 [get_ports din_src_ddr]
set_input_delay -clock [get_clocks clkin_src] -min -add_delay 4.500 [get_ports din_src_ddr]
set_input_delay -clock [get_clocks clkin_src] -max -add_delay 5.400 [get_ports din_src_ddr]

set_input_delay -clock [get_clocks clkin_src] -clock_fall -min -add_delay 9.600 [get_ports din_src_fe]
set_input_delay -clock [get_clocks clkin_src] -clock_fall -max -add_delay 10.600 [get_ports din_src_fe]

set_input_delay -clock [get_clocks clkin_src] -min -add_delay 9.500 [get_ports din_src_re]
set_input_delay -clock [get_clocks clkin_src] -max -add_delay 10.700 [get_ports din_src_re]

set_output_delay -clock [get_clocks clkout_src] -clock_fall -min -add_delay 0.500 [get_ports dout_src_ddr]
set_output_delay -clock [get_clocks clkout_src] -clock_fall -max -add_delay 1.100 [get_ports dout_src_ddr]
set_output_delay -clock [get_clocks clkout_src] -min -add_delay 0.600 [get_ports dout_src_ddr]
set_output_delay -clock [get_clocks clkout_src] -max -add_delay 1.200 [get_ports dout_src_ddr]

set_output_delay -clock [get_clocks clkout_src] -clock_fall -min -add_delay 0.800 [get_ports dout_src_fe]
set_output_delay -clock [get_clocks clkout_src] -clock_fall -max -add_delay 2.000 [get_ports dout_src_fe]

set_output_delay -clock [get_clocks clkout_src] -min -add_delay 1.000 [get_ports dout_src_re]
set_output_delay -clock [get_clocks clkout_src] -max -add_delay 2.100 [get_ports dout_src_re]

set_property IOB TRUE [get_cells reg1_src_fe_reg]
set_property IOB TRUE [get_cells reg1_src_re_reg]
set_property IOB TRUE [get_cells dout_src_re_reg]
set_property IOB TRUE [get_cells dout_src_fe_reg]


#<copyright-disclaimer-start>
#<copyright-disclaimer-start>
#  **************************************************************************************************************
#  * © 2025 Advanced Micro Devices, Inc. All rights reserved.                                                   *
#  * DISCLAIMER                                                                                                 *
#  * The information contained herein is for informational purposes only, and is subject to change              *
#  * without notice. While every precaution has been taken in the preparation of this document, it              *
#  * may contain technical inaccuracies, omissions and typographical errors, and AMD is under no                *
#  * obligation to update or otherwise correct this information.  Advanced Micro Devices, Inc. makes            *
#  * no representations or warranties with respect to the accuracy or completeness of the contents of           *
#  * this document, and assumes no liability of any kind, including the implied warranties of noninfringement,  *
#  * merchantability or fitness for particular purposes, with respect to the operation or use of AMD            *
#  * hardware, software or other products described herein.  No license, including implied or                   *
#  * arising by estoppel, to any intellectual property rights is granted by this document.  Terms and           *
#  * limitations applicable to the purchase or use of AMD’s products are as set forth in a signed agreement     *
#  * between the parties or in AMD's Standard Terms and Conditions of Sale. GD-18                               *
#  *                                                                                                            *
#  **************************************************************************************************************
#<copyright-disclaimer-end>
#<copyright-disclaimer-end>
#<copyright-disclaimer-end>
