#This Tcl script just tests the clock core IP generation if it passed the test, use it in the SVN scripts

set hostOS [lindex $tcl_platform(os) 0]
if { $hostOS == "Windows" } {
    set TRAINING_PATH "c:/training"
	
} else {
    set TRAINING_PATH "/home/amd/training"

}
puts "$TRAINING_PATH"

set dir_name [file dirname [info script]]
set ipDir $TRAINING_PATH/revcntrl/lab/KCU105/ip

puts "Creating a managed project that holds the clock_core IP in it"
create_project -force managed_ip_project $ipDir/managed_ip_project -part xcku040-ffva1156-2-e -ip

puts "Setting the board_part to KCU105"
set_property board_part xilinx.com:kcu105:part0:1.7 [current_project]


# Create the clk_core IP with latest version and name clk_core.
create_ip -name clk_wiz -vendor xilinx.com -library ip -module_name clk_core -dir $ipDir

#Customize the IP - Differential_clock_capable_pin, Input frequency is 200 MHz and one output clock with 200MHz each.
set_property -dict [list CONFIG.Component_Name {clk_core} CONFIG.PRIM_SOURCE {Differential_clock_capable_pin} CONFIG.PRIM_IN_FREQ {200.000} CONFIG.CLKOUT2_USED {true} CONFIG.CLKOUT1_REQUESTED_OUT_FREQ {200.000} CONFIG.CLKOUT2_REQUESTED_OUT_FREQ {193.750}] [get_ips clk_core]

generate_target all [get_files  clk_core.xci]

export_ip_user_files -of_objects [get_files clk_core.xci] -no_script -ip_user_files_dir $ipDir -force -quiet 

create_ip_run [get_files -of_objects [get_fileset sources_1] [get_files */clk_core.xci]]
launch_run  clk_core_synth_1
wait_on_run clk_core_synth_1

close_project

#<copyright-disclaimer-start>
#<copyright-disclaimer-start>
#  **************************************************************************************************************
#  * © 2025 Advanced Micro Devices, Inc. All rights reserved.                                                   *
#  * DISCLAIMER                                                                                                 *
#  * The information contained herein is for informational purposes only, and is subject to change              *
#  * without notice. While every precaution has been taken in the preparation of this document, it              *
#  * may contain technical inaccuracies, omissions and typographical errors, and AMD is under no                *
#  * obligation to update or otherwise correct this information.  Advanced Micro Devices, Inc. makes            *
#  * no representations or warranties with respect to the accuracy or completeness of the contents of           *
#  * this document, and assumes no liability of any kind, including the implied warranties of noninfringement,  *
#  * merchantability or fitness for particular purposes, with respect to the operation or use of AMD            *
#  * hardware, software or other products described herein.  No license, including implied or                   *
#  * arising by estoppel, to any intellectual property rights is granted by this document.  Terms and           *
#  * limitations applicable to the purchase or use of AMD’s products are as set forth in a signed agreement     *
#  * between the parties or in AMD's Standard Terms and Conditions of Sale. GD-18                               *
#  *                                                                                                            *
#  **************************************************************************************************************
#<copyright-disclaimer-end>
#<copyright-disclaimer-end>
#<copyright-disclaimer-end>
#<copyright-disclaimer-end>
