# get the directory where this script resides
set thisDir [file dirname [info script]]

set hostOS [lindex $tcl_platform(os) 0]
if { $hostOS == "Windows" } {
    set TRAINING_PATH "c:/training"
    set amdPath "c:/amd"
} else {
    set TRAINING_PATH "/home/amd/training"
    set amdPath "/opt/amd/Vivado_SDK"
}
puts "$TRAINING_PATH"
set hdlRoot $TRAINING_PATH/revcntrl/lab/KCU105/hdl
set xdcRoot $TRAINING_PATH/revcntrl/lab/KCU105/xdc
set ipRoot $TRAINING_PATH/revcntrl/lab/KCU105/ip
set projDir $TRAINING_PATH/revcntrl/lab/KCU105
# Create project
create_project -force uart_led $projDir/uart_led -part xcku040-ffva1156-2-e

# Set project properties
set obj [get_projects uart_led]
set_property "board_part" "xilinx.com:kcu105:part0:1.7" $obj
set_property "simulator_language" "Mixed" $obj
set_property "target_language" "Verilog" $obj

add_files -fileset sources_1 -norecurse $hdlRoot/led_ctl_revcntrl.v
add_files -fileset sources_1 -norecurse $hdlRoot/meta_harden_revcntrl.v
add_files -fileset sources_1 -norecurse $hdlRoot/uart_baud_gen_revcntrl.v
add_files -fileset sources_1 -norecurse $hdlRoot/uart_led_revcntrl.v
add_files -fileset sources_1 -norecurse $hdlRoot/uart_rx_revcntrl.v
add_files -fileset sources_1 -norecurse $hdlRoot/uart_rx_ctl_revcntrl.v

add_files -fileset constrs_1 -norecurse $xdcRoot/uart_led_revcntrl.xdc

add_files -norecurse -scan_for_includes $ipRoot/clk_core/clk_core.xci

#<copyright-disclaimer-start>
#<copyright-disclaimer-start>
#  **************************************************************************************************************
#  * © 2025 Advanced Micro Devices, Inc. All rights reserved.                                                   *
#  * DISCLAIMER                                                                                                 *
#  * The information contained herein is for informational purposes only, and is subject to change              *
#  * without notice. While every precaution has been taken in the preparation of this document, it              *
#  * may contain technical inaccuracies, omissions and typographical errors, and AMD is under no                *
#  * obligation to update or otherwise correct this information.  Advanced Micro Devices, Inc. makes            *
#  * no representations or warranties with respect to the accuracy or completeness of the contents of           *
#  * this document, and assumes no liability of any kind, including the implied warranties of noninfringement,  *
#  * merchantability or fitness for particular purposes, with respect to the operation or use of AMD            *
#  * hardware, software or other products described herein.  No license, including implied or                   *
#  * arising by estoppel, to any intellectual property rights is granted by this document.  Terms and           *
#  * limitations applicable to the purchase or use of AMD’s products are as set forth in a signed agreement     *
#  * between the parties or in AMD's Standard Terms and Conditions of Sale. GD-18                               *
#  *                                                                                                            *
#  **************************************************************************************************************
#<copyright-disclaimer-end>
#<copyright-disclaimer-end>
#<copyright-disclaimer-end>
#<copyright-disclaimer-end>
