set hostOS [lindex $tcl_platform(os) 0]
if { $hostOS == "Windows" } {
    set TRAINING_PATH "c:/training"
	
} else {
    set TRAINING_PATH "/home/amd/training"

}
puts "$TRAINING_PATH"

#Packaging the led_ctl IP
set_property top led_ctl [current_fileset]
update_compile_order -fileset sources_1
ipx::package_project -root_dir $TRAINING_PATH/revcntrl/lab/KCU105/cip/led_ctl -vendor xilinx.com -library user -taxonomy /UserIP -import_files -set_current false
ipx::unload_core $TRAINING_PATH/revcntrl/lab/KCU105/cip/led_ctl/component.xml
ipx::edit_ip_in_project -upgrade true -name tmp_edit_project -directory $TRAINING_PATH/revcntrl/lab/KCU105/cip/led_ctl $TRAINING_PATH/revcntrl/lab/KCU105/cip/led_ctl/component.xml
update_compile_order -fileset sources_1

# Setting the identity information and compatibility for the IP
set_property vendor xilinxtraining.com [ipx::current_core]
set_property library ip [ipx::current_core]
set_property description {LED Controller} [ipx::current_core]
set_property vendor_display_name {Xilinx training} [ipx::current_core]
set_property supported_families {kintexu Production} [ipx::current_core]
set_property previous_version_for_upgrade xilinx.com:user:led_ctl:1.0 [ipx::current_core]
set_property core_revision 1 [ipx::current_core]
# Review and package the IP
ipx::create_xgui_files [ipx::current_core]
ipx::update_checksums [ipx::current_core]
ipx::save_core [ipx::current_core]
current_project tmp_edit_project
close_project -delete
set_property  ip_repo_paths  $TRAINING_PATH/revcntrl/lab/KCU105/cip/led_ctl [current_project]
update_ip_catalog 

#-----------------------------------------------------------------------------------------

#Packaging the meta_harden IP
set_property top meta_harden [current_fileset]
update_compile_order -fileset sources_1
ipx::package_project -root_dir $TRAINING_PATH/revcntrl/lab/KCU105/cip/meta_harden -vendor xilinx.com -library user -taxonomy /UserIP -import_files -set_current false
ipx::unload_core $TRAINING_PATH/revcntrl/lab/KCU105/cip/meta_harden/component.xml
ipx::edit_ip_in_project -upgrade true -name tmp_edit_project -directory $TRAINING_PATH/revcntrl/lab/KCU105/cip/meta_harden $TRAINING_PATH/revcntrl/lab/KCU105/cip/meta_harden/component.xml
update_compile_order -fileset sources_1

# Setting the identity information and compatibility for the IP
set_property vendor xilinxtraining.com [ipx::current_core]
set_property library ip [ipx::current_core]
set_property description {LED Controller} [ipx::current_core]
set_property vendor_display_name {Xilinx training} [ipx::current_core]
set_property supported_families {kintexu Production} [ipx::current_core]
set_property previous_version_for_upgrade xilinx.com:user:meta_harden:1.0 [ipx::current_core]
set_property core_revision 1 [ipx::current_core]
# Review and package the IP
ipx::create_xgui_files [ipx::current_core]
ipx::update_checksums [ipx::current_core]
ipx::save_core [ipx::current_core]
current_project tmp_edit_project
close_project -delete
set_property  ip_repo_paths  $TRAINING_PATH/revcntrl/lab/KCU105/cip/led_ctl [current_project]
update_ip_catalog 

#-----------------------------------------------------------------------------------------

#Packaging the uart_baud_gen IP
set_property top uart_baud_gen [current_fileset]
update_compile_order -fileset sources_1
ipx::package_project -root_dir $TRAINING_PATH/revcntrl/lab/KCU105/cip/uart_baud_gen -vendor xilinx.com -library user -taxonomy /UserIP -import_files -set_current false
ipx::unload_core $TRAINING_PATH/revcntrl/lab/KCU105/cip/uart_baud_gen/component.xml
ipx::edit_ip_in_project -upgrade true -name tmp_edit_project -directory $TRAINING_PATH/revcntrl/lab/KCU105/cip/uart_baud_gen $TRAINING_PATH/revcntrl/lab/KCU105/cip/uart_baud_gen/component.xml
update_compile_order -fileset sources_1

# Setting the identity information and compatibility for the IP
set_property vendor xilinxtraining.com [ipx::current_core]
set_property library ip [ipx::current_core]
set_property description {LED Controller} [ipx::current_core]
set_property vendor_display_name {Xilinx training} [ipx::current_core]
set_property supported_families {kintexu Production} [ipx::current_core]
set_property previous_version_for_upgrade xilinx.com:user:uart_baud_gen:1.0 [ipx::current_core]
set_property core_revision 1 [ipx::current_core]
# Review and package the IP
ipx::create_xgui_files [ipx::current_core]
ipx::update_checksums [ipx::current_core]
ipx::save_core [ipx::current_core]
current_project tmp_edit_project
close_project -delete
set_property  ip_repo_paths  $TRAINING_PATH/revcntrl/lab/KCU105/cip/led_ctl [current_project]
update_ip_catalog 

#-----------------------------------------------------------------------------------------

#Packaging the uart_rx_ctl IP
set_property top uart_rx_ctl [current_fileset]
update_compile_order -fileset sources_1
ipx::package_project -root_dir $TRAINING_PATH/revcntrl/lab/KCU105/cip/uart_rx_ctl -vendor xilinx.com -library user -taxonomy /UserIP -import_files -set_current false
ipx::unload_core $TRAINING_PATH/revcntrl/lab/KCU105/cip/uart_rx_ctl/component.xml
ipx::edit_ip_in_project -upgrade true -name tmp_edit_project -directory $TRAINING_PATH/revcntrl/lab/KCU105/cip/uart_rx_ctl $TRAINING_PATH/revcntrl/lab/KCU105/cip/uart_rx_ctl/component.xml
update_compile_order -fileset sources_1

# Setting the identity information and compatibility for the IP
set_property vendor xilinxtraining.com [ipx::current_core]
set_property library ip [ipx::current_core]
set_property description {LED Controller} [ipx::current_core]
set_property vendor_display_name {Xilinx training} [ipx::current_core]
set_property supported_families {kintexu Production} [ipx::current_core]
set_property previous_version_for_upgrade xilinx.com:user:uart_rx_ctl:1.0 [ipx::current_core]
set_property core_revision 1 [ipx::current_core]
# Review and package the IP
ipx::create_xgui_files [ipx::current_core]
ipx::update_checksums [ipx::current_core]
ipx::save_core [ipx::current_core]
current_project tmp_edit_project


#<copyright-disclaimer-start>
#<copyright-disclaimer-start>
#  **************************************************************************************************************
#  * © 2025 Advanced Micro Devices, Inc. All rights reserved.                                                   *
#  * DISCLAIMER                                                                                                 *
#  * The information contained herein is for informational purposes only, and is subject to change              *
#  * without notice. While every precaution has been taken in the preparation of this document, it              *
#  * may contain technical inaccuracies, omissions and typographical errors, and AMD is under no                *
#  * obligation to update or otherwise correct this information.  Advanced Micro Devices, Inc. makes            *
#  * no representations or warranties with respect to the accuracy or completeness of the contents of           *
#  * this document, and assumes no liability of any kind, including the implied warranties of noninfringement,  *
#  * merchantability or fitness for particular purposes, with respect to the operation or use of AMD            *
#  * hardware, software or other products described herein.  No license, including implied or                   *
#  * arising by estoppel, to any intellectual property rights is granted by this document.  Terms and           *
#  * limitations applicable to the purchase or use of AMD’s products are as set forth in a signed agreement     *
#  * between the parties or in AMD's Standard Terms and Conditions of Sale. GD-18                               *
#  *                                                                                                            *
#  **************************************************************************************************************
#<copyright-disclaimer-end>
#<copyright-disclaimer-end>
#<copyright-disclaimer-end>
#<copyright-disclaimer-end>

close_project -delete
set_property  ip_repo_paths  $TRAINING_PATH/revcntrl/lab/KCU105/cip/led_ctl [current_project]
update_ip_catalog
