##System clock definition
create_clock -period 10.000 -name clkin_sys [get_ports clkin_sys]

## System Synchronous Input, DDR, Input timing requirement
set_input_delay -clock [get_clocks clkin_sys] -clock_fall -min -add_delay 1.600 [get_ports din_sys_ddr]
set_input_delay -clock [get_clocks clkin_sys] -clock_fall -max -add_delay 2.500 [get_ports din_sys_ddr]
set_input_delay -clock [get_clocks clkin_sys] -min -add_delay 1.500 [get_ports din_sys_ddr]
set_input_delay -clock [get_clocks clkin_sys] -max -add_delay 2.400 [get_ports din_sys_ddr]

## System Synchronous Input, SDR, Falling Edge, Input timing requirement
set_input_delay -clock [get_clocks clkin_sys] -clock_fall -min -add_delay 2.000 [get_ports din_sys_fe]
set_input_delay -clock [get_clocks clkin_sys] -clock_fall -max -add_delay 3.500 [get_ports din_sys_fe]

## System Synchronous Input, SDR, Rising Edge, Input timing requirement
set_input_delay -clock [get_clocks clkin_sys] -min -add_delay 2.100 [get_ports din_sys_re]
set_input_delay -clock [get_clocks clkin_sys] -max -add_delay 3.600 [get_ports din_sys_re]

## System Synchronous Output, DDR, Output timing requirement
set_output_delay -clock [get_clocks clkin_sys] -clock_fall -min -add_delay -0.100 [get_ports dout_sys_ddr]
set_output_delay -clock [get_clocks clkin_sys] -clock_fall -max -add_delay 1.000 [get_ports dout_sys_ddr]
set_output_delay -clock [get_clocks clkin_sys] -min -add_delay 0.000 [get_ports dout_sys_ddr]
set_output_delay -clock [get_clocks clkin_sys] -max -add_delay 0.900 [get_ports dout_sys_ddr]

## System Synchronous Output, SDR, Falling Edge, Output timing requirement
set_output_delay -clock [get_clocks clkin_sys] -clock_fall -min -add_delay -0.600 [get_ports dout_sys_fe]
set_output_delay -clock [get_clocks clkin_sys] -clock_fall -max -add_delay 1.500 [get_ports dout_sys_fe]

## System Synchronous Output, SDR, Rising Edge, Output timing requirement
set_output_delay -clock [get_clocks clkin_sys] -min -add_delay -0.700 [get_ports dout_sys_re]
set_output_delay -clock [get_clocks clkin_sys] -max -add_delay 1.600 [get_ports dout_sys_re]









#<copyright-disclaimer-start>
#<copyright-disclaimer-start>
#  **************************************************************************************************************
#  * © 2025 Advanced Micro Devices, Inc. All rights reserved.                                                   *
#  * DISCLAIMER                                                                                                 *
#  * The information contained herein is for informational purposes only, and is subject to change              *
#  * without notice. While every precaution has been taken in the preparation of this document, it              *
#  * may contain technical inaccuracies, omissions and typographical errors, and AMD is under no                *
#  * obligation to update or otherwise correct this information.  Advanced Micro Devices, Inc. makes            *
#  * no representations or warranties with respect to the accuracy or completeness of the contents of           *
#  * this document, and assumes no liability of any kind, including the implied warranties of noninfringement,  *
#  * merchantability or fitness for particular purposes, with respect to the operation or use of AMD            *
#  * hardware, software or other products described herein.  No license, including implied or                   *
#  * arising by estoppel, to any intellectual property rights is granted by this document.  Terms and           *
#  * limitations applicable to the purchase or use of AMD’s products are as set forth in a signed agreement     *
#  * between the parties or in AMD's Standard Terms and Conditions of Sale. GD-18                               *
#  *                                                                                                            *
#  **************************************************************************************************************
#<copyright-disclaimer-end>
#<copyright-disclaimer-end>
#<copyright-disclaimer-end>
