-- (c) Copyright 1986-2022 Xilinx, Inc. All Rights Reserved.
-- (c) Copyright 2022-2024 Advanced Micro Devices, Inc. All rights reserved.
-- 
-- This file contains confidential and proprietary information
-- of AMD and is protected under U.S. and international copyright
-- and other intellectual property laws.
-- 
-- DISCLAIMER
-- This disclaimer is not a license and does not grant any
-- rights to the materials distributed herewith. Except as
-- otherwise provided in a valid license issued to you by
-- AMD, and to the maximum extent permitted by applicable
-- law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
-- WITH ALL FAULTS, AND AMD HEREBY DISCLAIMS ALL WARRANTIES
-- AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
-- BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
-- INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
-- (2) AMD shall not be liable (whether in contract or tort,
-- including negligence, or under any other theory of
-- liability) for any loss or damage of any kind or nature
-- related to, arising under or in connection with these
-- materials, including for any direct, or any indirect,
-- special, incidental, or consequential loss or damage
-- (including loss of data, profits, goodwill, or any type of
-- loss or damage suffered as a result of any action brought
-- by a third party) even if such damage or loss was
-- reasonably foreseeable or AMD had been advised of the
-- possibility of the same.
-- 
-- CRITICAL APPLICATIONS
-- AMD products are not designed or intended to be fail-
-- safe, or for use in any application requiring fail-safe
-- performance, such as life-support or safety devices or
-- systems, Class III medical devices, nuclear facilities,
-- applications related to the deployment of airbags, or any
-- other applications that could lead to death, personal
-- injury, or severe property or environmental damage
-- (individually and collectively, "Critical
-- Applications"). Customer assumes the sole risk and
-- liability of any use of AMD products in Critical
-- Applications, subject only to applicable laws and
-- regulations governing limitations on product liability.
-- 
-- THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
-- PART OF THIS FILE AT ALL TIMES.
-- 
-- DO NOT MODIFY THIS FILE.

-- IP VLNV: xilinx.com:user:meta_harden:1.0
-- IP Revision: 3

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;

LIBRARY xil_defaultlib;
USE xil_defaultlib.meta_harden;

ENTITY uart_rx_i0_meta_harden_2_0 IS
  PORT (
    clk_dst : IN STD_LOGIC;
    rst_dst : IN STD_LOGIC;
    signal_src : IN STD_LOGIC;
    signal_dst : OUT STD_LOGIC
  );
END uart_rx_i0_meta_harden_2_0;

ARCHITECTURE uart_rx_i0_meta_harden_2_0_arch OF uart_rx_i0_meta_harden_2_0 IS
  ATTRIBUTE DowngradeIPIdentifiedWarnings : STRING;
  ATTRIBUTE DowngradeIPIdentifiedWarnings OF uart_rx_i0_meta_harden_2_0_arch: ARCHITECTURE IS "yes";
  COMPONENT meta_harden IS
    PORT (
      clk_dst : IN STD_LOGIC;
      rst_dst : IN STD_LOGIC;
      signal_src : IN STD_LOGIC;
      signal_dst : OUT STD_LOGIC
    );
  END COMPONENT meta_harden;
  ATTRIBUTE X_CORE_INFO : STRING;
  ATTRIBUTE X_CORE_INFO OF uart_rx_i0_meta_harden_2_0_arch: ARCHITECTURE IS "meta_harden,Vivado 2024.2";
  ATTRIBUTE CHECK_LICENSE_TYPE : STRING;
  ATTRIBUTE CHECK_LICENSE_TYPE OF uart_rx_i0_meta_harden_2_0_arch : ARCHITECTURE IS "uart_rx_i0_meta_harden_2_0,meta_harden,{}";
  ATTRIBUTE CORE_GENERATION_INFO : STRING;
  ATTRIBUTE CORE_GENERATION_INFO OF uart_rx_i0_meta_harden_2_0_arch: ARCHITECTURE IS "uart_rx_i0_meta_harden_2_0,meta_harden,{x_ipProduct=Vivado 2024.2,x_ipVendor=xilinx.com,x_ipLibrary=user,x_ipName=meta_harden,x_ipVersion=1.0,x_ipCoreRevision=3,x_ipLanguage=VHDL,x_ipSimLanguage=MIXED}";
  ATTRIBUTE IP_DEFINITION_SOURCE : STRING;
  ATTRIBUTE IP_DEFINITION_SOURCE OF uart_rx_i0_meta_harden_2_0_arch: ARCHITECTURE IS "package_project";
BEGIN
  U0 : meta_harden
    PORT MAP (
      clk_dst => clk_dst,
      rst_dst => rst_dst,
      signal_src => signal_src,
      signal_dst => signal_dst
    );
END uart_rx_i0_meta_harden_2_0_arch;
